Calculate transfer date
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/merchant/util/transfer-date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settlementDate": "2023-12-25",
"region": "<string>",
"config": {
"weekends": [
3
],
"holidays": [
"2023-12-25"
]
},
"provider": "<string>"
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/merchant/util/transfer-date"
payload = {
"settlementDate": "2023-12-25",
"region": "<string>",
"config": {
"weekends": [3],
"holidays": ["2023-12-25"]
},
"provider": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settlementDate: '2023-12-25',
region: '<string>',
config: {weekends: [3], holidays: ['2023-12-25']},
provider: '<string>'
})
};
fetch('https://payments.oaknetwork.org/api/v1/merchant/util/transfer-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"transferDate": "2023-11-07T05:31:56Z"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}Merchants
Calculate transfer date
Calculate the next available transfer date based on settlement date, region, and holiday configuration.
POST
/
api
/
v1
/
merchant
/
util
/
transfer-date
Calculate transfer date
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
⌘I